Skip to main content
`Ctrl`+`K`

# PetscGetArgs

Allows you to access the raw command line arguments anywhere after `PetscInitialize()` is called but before `PetscFinalize()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetArgs(int *argc, char ***args)

Not Collective, No Fortran Support

## Output Parameters

- argc - count of the number of command line arguments

- args - the command line arguments

## Notes

This is usually used to pass the command line arguments into other libraries that are called internally deep in PETSc or the application.

The first argument contains the program name as is normal for C programs.

See `PetscGetArguments()` for a variant of this routine.

## See Also

`PetscFinalize()`, `PetscInitializeFortran()`, `PetscGetArguments()`, `PetscInitialize()`

## Level

intermediate

## Location

src/sys/objects/pinit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages